# path
export PATH="$HOME"/.local/bin:"$PATH"

# ibus specific
export GTK_IM_MODULE=ibus
export QT_IM_MODULE=ibus
export XMODIFIERS=@im=ibus

# xdg stuff
export XDG_DATA_HOME="$HOME"/.local/share
export XDG_CONFIG_HOME="$HOME"/.config
export XDG_STATE_HOME="$HOME"/.local/state
export XDG_CACHE_HOME="$HOME"/.cache
export XDG_DATA_DIRS=/usr/local/share:/usr/share
export XDG_CONFIG_DIRS=/etc/xdg

# moved from home folder
# cache stuff
export NUGET_PACKAGES="$XDG_CACHE_HOME"/NuGetPackages
export ZSH_EVALCACHE_DIR="$XDG_CACHE_HOME"/evalcache

# config stuff
export NBRC_PATH="$XDG_CONFIG_HOME"/nbrc
export FZF_MARKS_FILE="$XDG_CONFIG_HOME"/fzfmarks
export DOCKER_CONFIG="$XDG_CONFIG_HOME"/docker
export GTK2_RC_FILES="$XDG_CONFIG_HOME"/gtk-2.0/gtkrc
export _JAVA_OPTIONS=-Djava.util.prefs.userRoot="$XDG_CONFIG_HOME"/java
export GDBHISTFILE="$XDG_CONFIG_HOME"/gdb/history
export STARSHIP_CONFIG_DIR="$XDG_CONFIG_HOME"/starship

# data stuff
export XCURSOR_PATH=/usr/share/icons:"$XDG_DATA_HOME"/icons
export GOPATH="$XDG_DATA_HOME"/go
export CARGO_HOME="$XDG_DATA_HOME"/cargo
export ASDF_DATA_DIR="$XDG_DATA_HOME"/asdf
export NB_DIR="$XDG_DATA_HOME"/nb
export DSTASK_GIT_REPO="$XDG_DATA_HOME"/dstask

# gpg
#export GNUPGHOME="$XDG_DATA_HOME"/gnupg
export GPG_TTY="$TTY"

# oath
export OATH_EMAIL="nikolasweger@googlemail.com"
export OATH_KEY="CF8884FDBBEBD52ED12C9CBAAA591DF04F25A9EA"

# man and less
export MANPAGER="sh -c 'col -bx | bat -l man -p'"
export LESSHISTFILE="$XDG_STATE_HOME"/less/history

# editor and visual
export EDITOR=nvim
export VISUAL=kate

# sheldon
export SHELDON_CONFIG_DIR="$XDG_CONFIG_HOME"/sheldon
export SHELDON_DATA_DIR="$XDG_DATA_HOME"/sheldon
export SHELDON_CONFIG_FILE="$SHELDON_CONFIG_DIR"/plugins.toml
export SHELDON_LOCK_FILE="$SHELDON_CONFIG_DIR"/plugins.lock
export SHELDON_CLONE_DIR="$SHELDON_DATA_DIR"/repos
export SHELDON_DOWNLOAD_DIR="$SHELDON_DATA_DIR"/downloads

# starship
export STARSHIP_CONFIG="$STARSHIP_CONFIG_DIR"/config.toml

# zellij
export ZELLIJ_AUTO_ATTACH=true
export ZELLIJ_AUTO_EXIT=true

# stuff
export TERMINALNAME=$(fastfetch --pipe | grep -i terminal: | awk '{print $2}')
